DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Enumerations
scp.h File Reference

general Service Class Provider (SCP) class More...

## Classes
struct | DcmProcessSlotType
| Structure representing single process in multi-process mode. More...
struct | DcmPresentationContextInfo
| Structure representing a single Presentation Context. More...
class | DcmSCP
| Base class for implementing a DICOM Service Class Provider (SCP). More...

## Enumerations
enum | DcmSCPActionType { DCMSCP_ACTION_UNDEFINED , DCMSCP_ACTION_REFUSE_ASSOCIATION }
| Action codes that can be given to DcmSCP to control behavior during SCP's operation. More...
enum | DcmRefuseReasonType { DCMSCP_TOO_MANY_ASSOCIATIONS , DCMSCP_CANNOT_FORK , DCMSCP_BAD_APPLICATION_CONTEXT_NAME , DCMSCP_CALLING_HOST_NOT_ALLOWED , DCMSCP_CALLED_AE_TITLE_NOT_RECOGNIZED , DCMSCP_CALLING_AE_TITLE_NOT_RECOGNIZED , DCMSCP_FORCED , DCMSCP_NO_IMPLEMENTATION_CLASS_UID , DCMSCP_NO_PRESENTATION_CONTEXTS , DCMSCP_INTERNAL_ERROR }
| Codes denoting a reason for refusing an association. More...

## Detailed Description

general Service Class Provider (SCP) class

## Class Documentation

## ◆ DcmProcessSlotType

struct DcmProcessSlotType

Structure representing single process in multi-process mode.

Class Members
DIC_AE | calledAETitle | Called AE title.
DIC_AE | callingAETitle | Calling AE title.
OFBool | hasStorageAbility | Indicator if process has storage ability.
DIC_NODENAME | peerName | Name of peer.
int | processId | Process ID.
time_t | startTime | Start time.

## Enumeration Type Documentation

## ◆ DcmRefuseReasonType

enum DcmRefuseReasonType

Codes denoting a reason for refusing an association.

Enumerator
DCMSCP_TOO_MANY_ASSOCIATIONS | Too many associations (SCP cannot handle a further association)
DCMSCP_CANNOT_FORK | Forking a new SCP process failed.
DCMSCP_BAD_APPLICATION_CONTEXT_NAME | Refusing association because of bad application context name.
DCMSCP_CALLING_HOST_NOT_ALLOWED | Refusing association because of disallowed connecting host.
DCMSCP_CALLED_AE_TITLE_NOT_RECOGNIZED | Refusing association because of unaccepted called AE title.
DCMSCP_CALLING_AE_TITLE_NOT_RECOGNIZED | Refusing association because of unaccepted calling AE title.
DCMSCP_FORCED | Refusing association because SCP was forced to do so.
DCMSCP_NO_IMPLEMENTATION_CLASS_UID | Refusing association because of missing Implementation Class UID.
DCMSCP_NO_PRESENTATION_CONTEXTS | Refusing association because of no acceptable Presentation Contexts.
DCMSCP_INTERNAL_ERROR | Refusing association because of internal error.

## ◆ DcmSCPActionType

enum DcmSCPActionType

Action codes that can be given to DcmSCP to control behavior during SCP's operation.

Different hooks permit jumping into different phases of SCP operation.

Enumerator
DCMSCP_ACTION_UNDEFINED | No action defined.
DCMSCP_ACTION_REFUSE_ASSOCIATION | Tell SCP to refuse association.

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2